import request from '@/router/axios';
//列表
export const getList = (current, size, params) => {
  return request({
    url: '/api/iot-sim/flowpool/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
export const getDetail = (id) => {
  return request({
    url: '/api/iot-sim/flowpool/detail',
    method: 'get',
    params: {
      id
    }
  })
}
//新增
export const add = (row) => {
  return request({
    url: '/api/iot-sim/flowpool/save',
    method: 'post',
    data: row
  })
}
//删除
export const remove = (ids) => {
  return request({
    url: '/api/iot-sim/flowpool/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}
//修改
export const update = (row) => {
  return request({
    url: '/api/iot-sim/flowpool/update',
    method: 'post',
    data: row
  })
}

//同步流量池
export const syncFlowPool = () => {
  return request({
    url: '/api/iot-sim/flowpool/syncFlowPool',
    method: 'get',
  })
}
//同步流量池使用量
export const syncFlowPoolUsage = () => {
  return request({
    url: '/api/iot-sim/flowpool/syncFlowPoolUsage',
    method: 'get',
  })
}
