import request from '@/router/axios';
//列表
export const getList = (current, size, params) => {
  return request({
    url: '/api/iot-sim/orders/pageOrders',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
//删除
export const remove = (ids) => {
  return request({
    url: '/api/iot-sim/orders/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}
//详情
export const getDetail = (id) => {
  return request({
    url: '/api/iot-sim/orders/detail',
    method: 'get',
    params: {
      id
    }
  })
}
//新增
export const add = (row) => {
  return request({
    url: '/api/iot-sim/orders/save',
    method: 'post',
    data: {
      ...row
    }
  })
}
//修改
export const update = (row) => {
  return request({
    url: '/api/iot-sim/orders/update',
    method: 'post',
    data: row
  })
}
//生成发货单
export const shipment = (parcel, orders, ids, dataPlanId) => {
  return request({
    url: '/api/iot-sim/orders/shipment',
    method: 'post',
    params: {
      ...parcel,
      ...orders,
      ids,
      dataPlanId
    }
  })
}

//商品类型为流量卡，
export const simcardList = (query) => {
  return request({
    url: '/api/iot-sim/simcard/waitingDeliver',
    method: 'get',
    params: query
  })
}

//商品类型为机卡，
export const deviceDeliver = (query) => {
  return request({
    url: '/api/iot-sim/device/waitingDeliver',
    method: 'get',
    params: query
  })
}
//接口类型
export const interfaceType = () => {
  return request({
    url: '/api/iot-system/dict/dictionary?code=interface_type',
    method: 'get',
  })
}

//基础套餐
export const dataplan = () => {
  return request({
    url: '/api/iot-sim/dataplan/fillData?isSource=' + 2,
    method: 'get',
  })
}

//物流信息
export const getParcel = (id) => {
  return request({
    url: '/api/iot-sim/orders/getParcel',
    method: 'get',
    params: {
      id
    }
  })
}
//商品下拉
export const productfillData = (id) => {
  return request({
    url: '/api/iot-sim/product/fillData',
    method: 'get',
    params: {
      id
    }
  })
}
//规格下拉
export const productspecsfillData = (productId) => {
  return request({
    url: '/api/iot-sim/productspecs/fillData',
    method: 'get',
    params: {
      productId
    }
  })
}
