import request from '@/router/axios';
//告警规则列表
export const getList = (current, size, params) => {
  return request({
    url: '/api/iot-sim/alarmrule/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
//告警规则详情
export const getDetail = (id) => {
  return request({
    url: '/api/iot-sim/alarmrule/detail',
    method: 'get',
    params: {
      id
    }
  })
}
//告警规则新增
export const add = (row) => {
  return request({
    url: '/api/iot-sim/alarmrule/save',
    method: 'post',
    data: row
  })
}
//告警规则删除
export const remove = (ids) => {
  return request({
    url: '/api/iot-sim/alarmrule/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}
//告警规则修改
export const update = (row) => {
  return request({
    url: '/api/iot-sim/alarmrule/update',
    method: 'post',
    data: row
  })
}


//告警范围列表
export const getLists = (current, size, params, ) => {
  return request({
    url: '/api/iot-sim/alarmrange/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,

    }
  })
}
//告警范围详情
export const getDetails = (id) => {
  return request({
    url: '/api/iot-sim/alarmrange/detail',
    method: 'get',
    params: {
      id
    }
  })
}

//告警范围新增
export const adds = (row) => {
  return request({
    url: '/api/iot-sim/alarmrange/save',
    method: 'post',
    params: {
      ...row
    }
  })
}
//告警范围删除
export const removes = (ids) => {
  return request({
    url: '/api/iot-sim/alarmrange/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}
//告警范围修改
export const updates = (row) => {
  return request({
    url: '/api/iot-sim/alarmrange/update',
    method: 'post',
    data: row
  })
}
//流量卡
export const simcardList = (query) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/waitingSpeedLimit',
    method: 'get',
    params: query
  })
}
